Subject: Re: [PATCH] net: phy: at803x: Improve hibernation support on start up

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 10 Aug 2023 14:54:58 +0100

On Thu, Aug 10, 2023 at 03:49:24PM +0200, Andrew Lunn wrote:
> > > What will be the best way to solve this issue for DSA switches attached to
> > > MAC with RGMII RXC requirements?
> > 
> > I have no idea - the problem there is the model that has been adopted
> > in Linux is that there is no direct relationship between the DSA switch
> > and the MAC like there is with a PHY.
> 
> A clock provider/consumer relationship can be expressed in DT. The DSA
> switch port would provide the clock, rather than the PHY.

Then we'll be in to people wanting to do it for PHYs as well, and as
we've recently discussed that isn't something we want because of the
dependencies it creates between mdio drivers and mac drivers.

Wouldn't the same dependency issue also apply for a DSA switch on a
MDIO bus, where the MDIO bus is part of the MAC driver?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!